package com.inspect.partrolresult.service;

import java.util.concurrent.TimeUnit;

public interface DelayQueueService<T> {
    void submitRequest(String queueName, T payload, long delay, TimeUnit timeUnit);

    boolean removeRequest(String queueName, T payload);

    boolean containRequest(String queueName, T payload);
}

